<?php
/**
 * The template for displaying Comments.
 *
 * The area of the page that contains comments and the comment form.
 * If the current post is protected by a password and the visitor has not yet
 * entered the password we will return early without loading the comments.
 */
if ( post_password_required() )
    return;
?>

  <?php if ( have_comments() ) : ?>
    <div class="bg-light">
        <div class="container container-fix">
            <div class="extra-margin-all post-spacing">
                <!-- row start -->
                <div class="row">
                    <!-- col start -->
                    <div class="col-lg-12">
                        <div class="post-spacing-3">
                            <!-- section subtitle start -->
                            <div class="intro">
                                <?php comments_number( esc_html__('0 Comments', 'bravex'), esc_html__('1 Comment', 'bravex'), esc_html__('% Comments', 'bravex') ); ?>
                            </div>
                            <!-- section subtitle end -->
                            <!-- divider start -->
                            <div class="inner-divider-half"></div>
                            <!-- divider end -->
                            <!-- blog comments start -->
                            <div class="blog-comments">
                                <div class="comments">
                                    <?php wp_list_comments('callback=bravex_theme_comment'); ?> 
                                </div>
                            </div>
                            <!-- blog comments end -->
                        </div>
                    </div>
                    <!-- col end -->
                </div>
                <!-- row end -->
                <!-- divider start -->
                <div class="inner-divider"></div>
                <!-- divider end -->
            </div>
        </div>
    </div>
    <?php
      if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) :
    ?>
    <div class="pagination_area">
        <nav>
            <ul class="pagination">
                <li> <?php paginate_comments_links( 
                array(
                'prev_text' => wp_specialchars_decode(esc_html__( '<i class="ion-ios-arrow-left"></i>', 'bravex' ),ENT_QUOTES),
                'next_text' => wp_specialchars_decode(esc_html__( '<i class="ion-ios-arrow-right"></i>', 'bravex' ),ENT_QUOTES),
                ));  ?>
                </li>
            </ul>
        </nav>
    </div>
    <?php endif; ?>
    <!-- END PAGINATION --> 
    <?php endif; ?>  
    <div class="bg-light">
        <div class="container container-fix">
            <div class="extra-margin-all post-spacing">
                <!-- row start -->
                <div class="row">
                    <!-- col start -->
                    <div class="post-spacing-3">
                        <!-- col start -->
                        <div id="contact-form-2">          
                            <?php
                              if ( is_singular() ) wp_enqueue_script( "comment-reply" );
                                  $aria_req = ( $req ? " aria-required='true'" : '' );
                                  $comment_args = array(
                                    'id_form' => 'form',        
                                    'class_form' => '',                         
                                    'title_reply'=> esc_html__( 'Leave a comment', 'bravex' ),
                                    'fields' => apply_filters( 'comment_form_default_fields', array(
                                        'author' =>   ' <div class="col-sm-6 col-md-6 col-lg-6">
                                                        <input type="text" class="requiredField name" name="author" id="name" placeholder="'.esc_attr__('Name', 'bravex').'">
                                                        </div>',

                                        'email' =>    ' <div class="col-sm-6 col-md-6 col-lg-6">
                                                        <input id="email" class="requiredField email" placeholder="'.esc_attr__('Email', 'bravex').'" name="email" type="email">
                                                        </div>',

                                    ) ),   
                                    'comment_field' => '<div class="make-space">
                                                        <textarea id="comment" class="requiredField message" name="comment" '.$aria_req.' placeholder="'.esc_attr__('Write a comment...', 'bravex').'" required="required" data-error="Please,leave us a message."></textarea>
                                                        </div>',                
                                    'label_submit' => esc_html__( 'Post a comment', 'bravex' ),
                                    'submit_button' =>  '<button type="submit" %3$s name="%1$s" id="submit %2$s" >%4$s',
                                    'submit_field' =>   '<div class="more-wraper-center more-wraper-center-form-2 mt-30">
                                                             <div class="more-button-bg-center more-button-circle"></div>
                                                             <div class="more-button-txt-center more-button-txt-center-close">
                                                            %1$s %2$s
                                                        </div></div>',
                                    'comment_notes_before' => '',
                                    'comment_notes_after' => '',               
                                  )
                            ?>
                            
                            <?php if ( comments_open() ) : ?>
                              <?php comment_form($comment_args); ?>
                            <?php endif; ?> 
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>