<?php

// register post type1 Project

add_action( 'init', 'register_bravex_Project' );

function register_bravex_Project() {

    

    $labels = array( 

        'name' => __( 'Project', 'bravex' ),

        'singular_name' => __( 'Project', 'bravex' ),

        'add_new' => __( 'Add New Project', 'bravex' ),

        'add_new_item' => __( 'Add New Project', 'bravex' ),

        'edit_item' => __( 'Edit Project', 'bravex' ),

        'new_item' => __( 'New Project', 'bravex' ),

        'view_item' => __( 'View Project', 'bravex' ),

        'search_items' => __( 'Search Project', 'bravex' ),

        'not_found' => __( 'No Project found', 'bravex' ),

        'not_found_in_trash' => __( 'No Project found in Trash', 'bravex' ),

        'parent_item_colon' => __( 'Parent Project:', 'bravex' ),

        'menu_name' => __( 'Project', 'bravex' ),

    );



    $args = array( 

        'labels' => $labels,

        'hierarchical' => true,

        'description' => 'List Project',

        'supports' => array( 'title', 'editor', 'thumbnail', 'comments'),

        'taxonomies' => array( 'Project', 'type1' ),

        'public' => true,

        'show_ui' => true,

        'show_in_menu' => true,

        'menu_position' => 5,

        'menu_icon' => 'dashicons-portfolio', 

        'show_in_nav_menus' => true,

        'publicly_queryable' => true,

        'exclude_from_search' => false,

        'has_archive' => true,

        'query_var' => true,

        'can_export' => true,

        'rewrite' => true,

        'capability_type' => 'post'

    );



    register_post_type( 'Project', $args );

}

add_action( 'init', 'create_type1_hierarchical_taxonomy', 0 );



//create a custom taxonomy name it Skillss for your posts



function create_type1_hierarchical_taxonomy() {



// Add new taxonomy, make it hierarchical like Skills

//first do the translations part for GUI



  $labels = array(

    'name' => __( 'Type', 'bravex' ),

    'singular_name' => __( 'Type', 'bravex' ),

    'search_items' =>  __( 'Search Type','bravex' ),

    'all_items' => __( 'All Type','bravex' ),

    'parent_item' => __( 'Parent Type','bravex' ),

    'parent_item_colon' => __( 'Parent Type:','bravex' ),

    'edit_item' => __( 'Edit Type','bravex' ), 

    'update_item' => __( 'Update Type','bravex' ),

    'add_new_item' => __( 'Add New Type','bravex' ),

    'new_item_name' => __( 'New Type Name','bravex' ),

    'menu_name' => __( 'Type','bravex' ),

  );     



// Now register the taxonomy



  register_taxonomy('type1',array('Project'), array(

    'hierarchical' => true,

    'labels' => $labels,

    'show_ui' => true,

    'show_admin_column' => true,

    'query_var' => true,

    'rewrite' => array( 'slug' => 'type1' ),

  ));



}


?>